LibGD installieren - aber wie?

Apache, Lighttpd, nginx, Cherokee
gobl
Posts: 6
Joined: 2008-11-17 19:12

LibGD installieren - aber wie?

Post by gobl » 2008-11-17 19:24

Hallo zusammen!

Ich bin noch rel. unerfahren was Linux-Server angeht. Daher erhoffe ich mir in dem tollen Forum hier das ein oder andere aneignen zu können....
Mein vServer läuft mit Debian 4.0.

Für eine Online-Shop-Software benöte ich LibGD.... Ich habe mir dazu auch schon die Finger "wund gegoogelt" aber bin so garnicht vorwärts gekommen.
Kann mir jemand helfen oder sagen, wie ich LibGD installiert bekommen?

Falls Ihr noch irgendwelche weiteren Infos braucht, einfach eine kurze PM an mich oder hier posten... Ich gebe mein Bestes um so gut wie möglich voran zu kommen.

Einen schönen Abend noch an alle hier !

8)

schnere
Posts: 64
Joined: 2006-08-15 17:28

Re: LibGD installieren - aber wie?

Post by schnere » 2008-11-17 19:51

Code: Select all

apt-get install libgd2-xpm
würd ich mal sagen?

EDIT: für einen Online-Shop? Da nehm ich mal an, dass du die PHP Extension der GD Library benötigtst, also

Code: Select all

apt-get install php5-gd

gobl
Posts: 6
Joined: 2008-11-17 19:12

Re: LibGD installieren - aber wie?

Post by gobl » 2008-11-17 20:29

Zu meiner Problematik mit LibGD.....

wenn ich das mache:

Code: Select all

apt-get install php5-gd

kommt folgendes Ergebnis:

Code: Select all

Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut... Fertig
php5-gd ist schon die neueste Version.
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 12 nicht aktualisiert.


:(

wenn ich das hier probiere:

Code: Select all

apt-get install libgd2-xpm

kommt folgendes heraus:

Code: Select all

Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut... Fertig
libgd2-xpm ist schon die neueste Version.
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 12 nicht aktualisiert.

:cry:

schnere
Posts: 64
Joined: 2006-08-15 17:28

Re: LibGD installieren - aber wie?

Post by schnere » 2008-11-17 20:32

Ja, wenn kommt "ist schon die neueste Version", dann ist es wohl schon installiert.
Hast evtl. eine detailiertere Fehlerbeschreibung.

Welches Shopsystem verwendest du? Magento, OSCommerce, OXID, etc.?
Bekommst du eine Fehlermeldung?

MfG

bluewind
Posts: 17
Joined: 2008-03-18 19:28

Re: LibGD installieren - aber wie?

Post by bluewind » 2008-11-17 20:34

Schau mal was phpinfo() sagt.

gobl
Posts: 6
Joined: 2008-11-17 19:12

Re: LibGD installieren - aber wie?

Post by gobl » 2008-11-17 20:59

schnere wrote:Welches Shopsystem verwendest du? Magento, OSCommerce, OXID, etc.?
Bekommst du eine Fehlermeldung?

fwpShop

Bluewind wrote:Schau mal was phpinfo() sagt.

wie komme ich daran?

bluewind
Posts: 17
Joined: 2008-03-18 19:28

Re: LibGD installieren - aber wie?

Post by bluewind » 2008-11-17 21:05

Gobl wrote:wie komme ich daran?

Eine .php Datei erstellen

Code: Select all

 <?php phpinfo(); ?>
hineinschreiben und die dann im Browser öffnen.

gobl
Posts: 6
Joined: 2008-11-17 19:12

Re: LibGD installieren - aber wie?

Post by gobl » 2008-11-17 21:10

8O 8O 8O
die Liste wird aber seeeeeeeeeeeeeehr lang. Soll ich hier wirklich alles posten, was da angezeigt wird?
:roll:

schnere
Posts: 64
Joined: 2006-08-15 17:28

Re: LibGD installieren - aber wie?

Post by schnere » 2008-11-17 21:18

Nein, du sollst schauen, ob da irgendwas von php-gd oder libgd oder gd library oder sowas in der Art steht...
Wenn ja, dann sollte es passen

gobl
Posts: 6
Joined: 2008-11-17 19:12

Re: LibGD installieren - aber wie?

Post by gobl » 2008-11-17 21:29

das hier hab ich gefunden als ich die browser eigenen Suchfunktion über die Seite laufen lies:

gd
GD Support enabled
GD Version 2.0 or higher
FreeType Support enabled
FreeType Linkage with freetype
FreeType Version 2.2.1
T1Lib Support enabled
GIF Read Support enabled
GIF Create Support enabled
JPG Support enabled
PNG Support enabled
WBMP Support enabled

schnere
Posts: 64
Joined: 2006-08-15 17:28

Re: LibGD installieren - aber wie?

Post by schnere » 2008-11-17 21:35

Gobl wrote:das hier hab ich gefunden als ich die browser eigenen Suchfunktion über die Seite laufen lies:

gd
GD Support enabled
GD Version 2.0 or higher
FreeType Support enabled
FreeType Linkage with freetype
FreeType Version 2.2.1
T1Lib Support enabled
GIF Read Support enabled
GIF Create Support enabled
JPG Support enabled
PNG Support enabled
WBMP Support enabled


Ja, dann siehts ja gut aus. GD ist installiert. Ist das nicht das was du wolltest?

Vl. installierst du noch das:

Code: Select all

apt-get install php5-imagick


Wird auch oft verwendet...

Apache2 und MySQL hast du ja wohl installiert. Was brauchst du dann noch um den Shop zu installieren?

gobl
Posts: 6
Joined: 2008-11-17 19:12

Re: LibGD installieren - aber wie?

Post by gobl » 2008-11-18 09:33

schnere wrote:Was brauchst du dann noch um den Shop zu installieren?

# PHP ab Version 5.1.4
# MySQL ab Version 4.1
# mod_rewrite
# gdlib
# curl

:arrow: das sind die wichtigsten Sachen, die benötigt werden

schnere
Posts: 64
Joined: 2006-08-15 17:28

Re: LibGD installieren - aber wie?

Post by schnere » 2008-11-18 11:28

Hi!

Wieso probierst dus nicht einfach mal aus? Und dann siehst was dir fehlt...

Mit

Code: Select all

a2enmod rewrite
wirst du das rewrite-Modul enablen können (nehm ich mal an), falls es nicht schon aktiviert ist.
Curl wirst nehm ich an auch für php brauchen :

Code: Select all

apt-get install php5-curl


dann entpack den source des shops mal irgendwo nach /var/www und geh auf http://deineshopdomain.eu/shop_folder/ , da sollte nun die index.php
aufgerufen werden...